function FaturamentoRepository(restEngine, ScreenService){

    /**
     * A função "copiaVersionaContrato" executa a procedure
     * "FCT_COPIA_VERSIONA_CONTRATO".
     */

    this.copiaVersionaContrato = function(paramsRestEngine){

        return restEngine.post('product#/fct_contrato_widget/copiaVersionaContrato', paramsRestEngine);

    };

    /**
     * A função "encerraContrato" executa a procedure
     * "FCT_ENCERRA_CONTRATO".
     */

    this.encerraContrato = function(paramsRestEngine){

        return restEngine.post('product#/fct_contrato_widget/encerraContrato', paramsRestEngine);

    };


    /**
     * A função "geraParcelasContrato" executa a procedure
     * "FCT_VENCPREV_CONT".
     */

    this.geraParcelasContrato = function(paramsRestEngine){

        return restEngine.post('product#/fct_contrato_widget/geraParcelasContrato', paramsRestEngine);

    };

    /**
     * A função "cancelaParcelasContrato" executa a procedure
     * "FCT_CANC_VENCPREV_CONT".
     */

    this.cancelaParcelasContrato = function(paramsRestEngine){

        return restEngine.post('product#/fct_contrato_widget/cancelaParcelasContrato', paramsRestEngine);

    };

    /**
     * A função "alteraVigenciaContrato" altera os dados de vigência do contrato
     */

    this.alteraVigenciaContrato = function(paramsRestEngine){

        return restEngine.post('product#/fct_prorrogcontrato_widget/alteraVigenciaContrato', paramsRestEngine);

    };


    /**
     * A função "validaDadosProrrog" valida se ja existem alterações de vigência para o contrato
     */

    this.validaDadosProrrog = function(paramsRestEngine){

        return restEngine.post('product#/fct_prorrogcontrato_widget/validaDadosProrrog', paramsRestEngine);

    };

    /**
     * A função "alteraDadosProrrog" inativa as alterações de vigência do contrato
     */

    this.alteraDadosProrrog = function(paramsRestEngine){

        return restEngine.post('product#/fct_prorrogcontrato_widget/alteraDadosProrrog', paramsRestEngine);

    };

    /**
     * A função "recebeParamFatModCont" recebe os dados de Faturamento do Modelo de Contrato
     */

    this.recebeParamFatModCont = function(paramsRestEngine){

        return restEngine.post('product#/fct_paramfatmodcont_widget/recebeParamFatModCont', paramsRestEngine);

    };

    /**
     * A função "recebeModReajustContr" recebe os dados de Reajuste do Modelo de Contrato
     */

    this.recebeModReajustContr = function(paramsRestEngine){

        return restEngine.post('product#/fct_modreajustcontr_operador/recebeModReajustContr', paramsRestEngine);

    };

    /**
     * A função "recebeModIndContr" recebe os dados de Indice de Reajuste do Modelo de Contrato
     */

    this.recebeModIndContr = function(paramsRestEngine){

        return restEngine.post('product#/fct_modindcontr_widget/recebeModIndContr', paramsRestEngine);

    };

    /**
     * A função "recebeModeloDocContr" recebe os dados de Documento do Modelo de Contrato
     */

    this.recebeModeloDocContr = function(paramsRestEngine){

        return restEngine.post('product#/fct_modelodoccontr_widget/recebeModeloDocContr', paramsRestEngine);

    };

    /**
     * A função "geraCodigoContrato" executa a procedure  "CRIA_MNEMONICO".
     */

    this.geraCodigoContrato = function(paramsRestEngine){

        return restEngine.post('product#/fct_contrato_widget/geraCodigoContrato', paramsRestEngine);

    };

    /**
     * A função "geraDocumentoContrato" executa a procedure "FCT_SUB_MNE_DOC".
     */

    this.geraDocumentoContrato = function(paramsRestEngine){

        return restEngine.post('product#/fct_contrato_widget/geraDocumentoContrato', paramsRestEngine);

    };

}

Configuration(function (ContextRegister) {
    ContextRegister.register("FaturamentoRepository", FaturamentoRepository);
});
